Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2815 - passwd without shadow doesn't seem to work
Summary: passwd without shadow doesn't seem to work
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-14 08:26 UTC by flee
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-15 20:45:53 UTC


Attachments (Terms of Use)

Description flee 1999-05-14 08:26:10 UTC
After upgrading from 5.2 to 6.0,
logins failed to work until I created a shadow
password file with "pwconv"

The messages from my syslog:

May 13 22:23:29 dacron-kangaroo-triptych PAM_pwdb[570]: get
passwd; pwdb: structure is no longer valid
May 13 22:23:30 dacron-kangaroo-triptych login[570]: FAILED
LOGIN 1 FROM (null) FOR flee, Authentication service cannot
retrieve authentication info.

Comment 1 Jeff Johnson 1999-05-15 20:45:59 UTC
I do not see this behavior (required pwconv in order to login)
on Red Hat 6.0 intel/or sparc. I also don't see the error message.

Check your PAM config in /etc/pam.d for the service that is causing
the problem. Perhaps you configured the requirement to use shadow
passwords sometime in the past ... ?

Please reopen with more information if you still think this is
a software problem.


Note You need to log in before you can comment on or make changes to this bug.